Bug 42155 - Problem with gateway diagnostics - traceback
Problem with gateway diagnostics - traceback
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-26 18:20 CEST by Philipp Hahn
Modified: 2017-07-20 14:42 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number: 2016102621000391
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (754 bytes, patch)
2016-09-19 17:57 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2016-08-26 18:20:02 CEST
Traceback (most recent call last):                                                                                  
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/diagnostic/__init__.py", line 245, in execute                                                                                                                
    result = execute(**kwargs)                                                                                      
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/diagnostic/plugins/gateway.py", line 27, in run                                                                                                              
    process = Popen(['/bin/ping', '-c3', '-w4', '-W4', gateway], stdout=PIPE, stderr=STDOUT)                        
  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__                                                    
    errread, errwrite)                                                                                              
  File "/usr/lib/python2.7/subprocess.py", line 1259, in _execute_child                                             
    raise child_exception                                                                                           
TypeError: execv() arg 2 must contain only strings                                                                  
"Network settings" module                                                                                           

gateway: 172.16.1.1
interfaces/br0/address: 172.16.1.70
interfaces/br0/broadcast: 172.16.1.255
interfaces/br0/netmask: 255.255.255.0
interfaces/br0/network: 172.16.1.0
interfaces/br0/options/0: bridge_fd 0
interfaces/br0/options/1: bridge_ports eth0
interfaces/br0/type: static
interfaces/eth0/start: true
interfaces/eth0/type: manual
interfaces/handler: ifplugd

default via 172.16.1.1 dev br0 
172.16.1.0/24 dev br0  proto kernel  scope link  src 172.16.1.70 
172.17.0.0/16 dev docker0  proto kernel  scope link  src 172.17.42.1 

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master br0 state UP qlen 1000
    link/ether e0:69:95:ba:9f:08 brd ff:ff:ff:ff:ff:ff
3: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP 
    link/ether e0:69:95:ba:9f:08 brd ff:ff:ff:ff:ff:ff
    inet 172.16.1.70/24 brd 172.16.1.255 scope global br0
       valid_lft forever preferred_lft forever
    inet6 fe80::e269:95ff:feba:9f08/64 scope link 
       valid_lft forever preferred_lft forever
4: vnet0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master br0 state UNKNOWN qlen 500
    link/ether fe:54:00:5a:a1:ce brd ff:ff:ff:ff:ff:ff
    inet6 fe80::fc54:ff:fe5a:a1ce/64 scope link 
       valid_lft forever preferred_lft forever
5: docker0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 62:25:e6:f6:34:fe brd ff:ff:ff:ff:ff:ff
    inet 172.17.42.1/16 scope global docker0
       valid_lft forever preferred_lft forever
    inet6 fe80::6025:e6ff:fef6:34fe/64 scope link 
       valid_lft forever preferred_lft forever

During UCS Technical training 2016-08 Task #4773
Comment 1 Florian Best univentionstaff 2016-09-19 17:57:05 CEST
Created attachment 8019 [details]
patch
Comment 2 Florian Best univentionstaff 2016-10-27 12:32:03 CEST
Happened again in a Training.
Comment 3 Johannes Keiser univentionstaff 2017-07-12 17:05:05 CEST
(In reply to Florian Best from comment #1)
> Created attachment 8019 [details]
> patch

Applied patch:

r 81117
univention-management-console-module-diagnostic (3.0.1-3) 
* Bug #42155: Applied patch from Florian Best - Catch gateway not set error

YAML: r 81118
Comment 4 Florian Best univentionstaff 2017-07-13 15:30:55 CEST
OK: unset gateway displays readable message now
OK: YAML (adjusted in r81145)
Comment 5 Janek Walkenhorst univentionstaff 2017-07-20 14:42:17 CEST
<http://errata.software-univention.de/ucs/4.2/98.html>